<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN" "http://jakarta.apache.org/struts/dtds/struts-config_1_2.dtd">

<struts-config>

  <!-- ========== Data Sources Definitions =================================== -->
  <!--
    Define your Struts data sources in a file called struts-data-sources.xml and place
    it in your merge directory.
  -->

  <!-- ========== Form Bean Definitions =================================== -->
 <form-beans>   
    <!--
         If you have non XDoclet forms, define them in a file called struts-forms.xml and
         place it in your merge directory.
    -->
	<form-bean
		name="dealprocessForm"
		type="cn.com.xunuo.webapp.form.DealprocessForm"
    />
	<form-bean
		name="infofeedbackForm"
		type="cn.com.xunuo.webapp.form.InfofeedbackForm"
    />
	<form-bean
		name="infofeedbacktypeForm"
		type="cn.com.xunuo.webapp.form.InfofeedbacktypeForm"
    />
  </form-beans>

  <!-- ========== Action Mapping Definitions =================================== -->
   <action-mappings>     

   <!-- Dealprocess start -->
	<!--Dealprocess Unconditional search -->
    <action
      path="/sys/dealinfo/searchDealInfo"
      type="cn.com.xunuo.webapp.action.DealprocessAction"
	  name="dealprocessForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/dealinfo/dealindex.jsp"
        redirect="false"
      />
    </action>

    <action
      path="/sys/dealprocess/searchDealprocess"
      type="cn.com.xunuo.webapp.action.DealprocessAction"
      name="dealprocessForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/dealprocess/dealprocessindex.jsp"
        redirect="false"
      />
    </action>
	<!--Dealprocess Search the function -->
    <action
      path="/sys/dealprocess/findDealprocess"
      type="cn.com.xunuo.webapp.action.DealprocessAction"
      name="dealprocessForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/dealprocess/dealprocessindex.jsp"
        redirect="false"
      />
    </action>

	<!--Dealprocess Add the function -->
    <action
      path="/sys/dealprocess/addDealprocess"
      type="cn.com.xunuo.webapp.action.DealprocessAction"
      name="dealprocessForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/dealprocess/dealprocessedit.jsp"
        redirect="false"
      />
    </action>

	<!--Dealprocess Edit the function -->
    <action
      path="/sys/dealprocess/editDealprocess"
      type="cn.com.xunuo.webapp.action.DealprocessAction"
      name="dealprocessForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/dealprocess/dealprocessedit.jsp"
        redirect="false"
      />
    </action>

	<!--Dealprocess Delete the function -->
    <action
      path="/sys/dealprocess/deleteDealprocess"
      type="cn.com.xunuo.webapp.action.DealprocessAction"
      name="dealprocessForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/dealprocess/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Dealprocess Save the function -->
    <action
      path="/sys/dealprocess/saveDealprocess"
      type="cn.com.xunuo.webapp.action.DealprocessAction"
      name="dealprocessForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/dealprocess/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Dealprocess View the function -->
    <action
      path="/sys/dealprocess/viewDealprocess"
      type="cn.com.xunuo.webapp.action.DealprocessAction"
      name="dealprocessForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/dealprocess/dealprocessview.jsp"
        redirect="false"
      />
    </action>

	<!--Dealprocess Upward movement  -->
    <action
      path="/sys/dealprocess/upDealprocess"
      type="cn.com.xunuo.webapp.action.DealprocessAction"
      name="dealprocessForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/dealprocess/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Dealprocess To the mobile   -->
    <action
      path="/sys/dealprocess/downDealprocess"
      type="cn.com.xunuo.webapp.action.DealprocessAction"
      name="dealprocessForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/dealprocess/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Dealprocess Movent   -->
    <action
      path="/sys/dealprocess/moveDealprocess"
      type="cn.com.xunuo.webapp.action.DealprocessAction"
      name="dealprocessForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/dealprocess/goto.jsp"
        redirect="false"
      />
    </action>
   <!-- Dealprocess end   -->


   <!-- Infofeedback start -->
	<!--Infofeedback Unconditional search -->
    <action
      path="/sys/infofeedback/searchInfofeedbacksByParent"
      type="cn.com.xunuo.webapp.action.InfofeedbackAction"
      name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/infofeedback/infofeedbackindex.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/sys/infofeedback/searchInfofeedbackByGoal"
      type="cn.com.xunuo.webapp.action.InfofeedbackAction"
      name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/infofeedback/infofeedbackindex_.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/sys/infofeedback/searchInfofeedback"
      type="cn.com.xunuo.webapp.action.InfofeedbackAction"
      name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/infofeedback/infofeedbackindex.jsp"
        redirect="false"
      />
    </action>
	<!--Infofeedback Search the function -->
    <action
      path="/sys/infofeedback/findInfofeedback"
      type="cn.com.xunuo.webapp.action.InfofeedbackAction"
      name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedback/infofeedbackindex.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedback Add the function -->
    <action
      path="/sys/infofeedback/addInfofeedback"
      type="cn.com.xunuo.webapp.action.InfofeedbackAction"
      name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/infofeedback/infofeedbackedit.jsp"
        redirect="false"
      />
	  <forward
        name="success_"
        path="/sys/infofeedback/infofeedbackedit_.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedback Edit the function -->
    <action
      path="/sys/infofeedback/editInfofeedback"
      type="cn.com.xunuo.webapp.action.InfofeedbackAction"
      name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedback/infofeedbackedit.jsp"
        redirect="false"
      />
	  <forward
        name="success_"
        path="/sys/infofeedback/infofeedbackedit_.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedback Delete the function -->
    <action
      path="/sys/infofeedback/deleteInfofeedback"
      type="cn.com.xunuo.webapp.action.InfofeedbackAction"
      name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedback/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedback Save the function -->
    <action
      path="/sys/infofeedback/saveInfofeedback"
      type="cn.com.xunuo.webapp.action.InfofeedbackAction"
      name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedback/goto.jsp"
        redirect="false"
      />
	  <forward
        name="success_"
        path="/sys/infofeedback/goto_.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedback View the function -->
    <action
      path="/sys/infofeedback/viewInfofeedback"
      type="cn.com.xunuo.webapp.action.InfofeedbackAction"
      name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedback/infofeedbackview.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedback Upward movement  -->
    <action
      path="/sys/infofeedback/upInfofeedback"
      type="cn.com.xunuo.webapp.action.InfofeedbackAction"
      name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedback/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedback To the mobile   -->
    <action
      path="/sys/infofeedback/downInfofeedback"
      type="cn.com.xunuo.webapp.action.InfofeedbackAction"
      name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedback/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedback Movent   -->
    <action
      path="/sys/infofeedback/moveInfofeedback"
      type="cn.com.xunuo.webapp.action.InfofeedbackAction"
      name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedback/goto.jsp"
        redirect="false"
      />
    </action>
   <!-- Infofeedback end   -->

   <!-- Infofeedbacktype start -->
	<!--Infofeedbacktype Unconditional search -->
    <action
      path="/sys/infofeedbacktype/searchInfofeedbacktypesToData"
      type="cn.com.xunuo.webapp.action.InfofeedbacktypeAction"
      name="infofeedbacktypeForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/dealinfo/dealinfodata.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/sys/infofeedbacktype/searchInfofeedbacktype"
      type="cn.com.xunuo.webapp.action.InfofeedbacktypeAction"
      name="infofeedbacktypeForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/infofeedbacktype/infofeedbacktypeindex.jsp"
        redirect="false"
      />
    </action>
	<!--Infofeedbacktype Search the function -->
    <action
      path="/sys/infofeedbacktype/findInfofeedbacktype"
      type="cn.com.xunuo.webapp.action.InfofeedbacktypeAction"
      name="infofeedbacktypeForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedbacktype/infofeedbacktypeindex.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedbacktype Add the function -->
    <action
      path="/sys/infofeedbacktype/addInfofeedbacktype"
      type="cn.com.xunuo.webapp.action.InfofeedbacktypeAction"
      name="infofeedbacktypeForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/infofeedbacktype/infofeedbacktypeedit.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedbacktype Edit the function -->
    <action
      path="/sys/infofeedbacktype/editInfofeedbacktype"
      type="cn.com.xunuo.webapp.action.InfofeedbacktypeAction"
      name="infofeedbacktypeForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedbacktype/infofeedbacktypeedit.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedbacktype Delete the function -->
    <action
      path="/sys/infofeedbacktype/deleteInfofeedbacktype"
      type="cn.com.xunuo.webapp.action.InfofeedbacktypeAction"
      name="infofeedbacktypeForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedbacktype/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedbacktype Save the function -->
    <action
      path="/sys/infofeedbacktype/saveInfofeedbacktype"
      type="cn.com.xunuo.webapp.action.InfofeedbacktypeAction"
      name="infofeedbacktypeForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedbacktype/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedbacktype View the function -->
    <action
      path="/sys/infofeedbacktype/viewInfofeedbacktype"
      type="cn.com.xunuo.webapp.action.InfofeedbacktypeAction"
      name="infofeedbacktypeForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedbacktype/infofeedbacktypeview.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedbacktype Upward movement  -->
    <action
      path="/sys/infofeedbacktype/upInfofeedbacktype"
      type="cn.com.xunuo.webapp.action.InfofeedbacktypeAction"
      name="infofeedbacktypeForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedbacktype/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedbacktype To the mobile   -->
    <action
      path="/sys/infofeedbacktype/downInfofeedbacktype"
      type="cn.com.xunuo.webapp.action.InfofeedbacktypeAction"
      name="infofeedbacktypeForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedbacktype/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Infofeedbacktype Movent   -->
    <action
      path="/sys/infofeedbacktype/moveInfofeedbacktype"
      type="cn.com.xunuo.webapp.action.InfofeedbacktypeAction"
      name="infofeedbacktypeForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/infofeedbacktype/goto.jsp"
        redirect="false"
      />
    </action>
   <!-- Infofeedbacktype end   -->

    <!-- Forward to page to sys main.jsp -->
    <action path="/sys/main" type="org.apache.struts.actions.ForwardAction"
        parameter="/sys/main.jsp"/>

  </action-mappings>
</struts-config>
